Skip to main content
GET
/
api
/
v1
/
agents
/
{agent_id}
/
tools
Get Agent Tools
curl --request GET \
  --url https://agent-studio.thena.ai/api/v1/agents/{agent_id}/tools \
  --header 'x-api-key: <api-key>'
import requests

url = "https://agent-studio.thena.ai/api/v1/agents/{agent_id}/tools"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://agent-studio.thena.ai/api/v1/agents/{agent_id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "agent_id": "123e4567-e89b-12d3-a456-426614174001",
    "configuration": {
      "include_metadata": true,
      "max_results": 10
    },
    "created_at": "2023-01-01T00:00:00Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "is_enabled": true,
    "tool_name": "knowledge_base_search",
    "tool_type": "built_in",
    "updated_at": "2023-01-01T00:00:00Z"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Path Parameters

agent_id
string
required

Query Parameters

tool_type
string

Filter by tool type: 'built_in', 'mcp_server', 'external_tool'

is_enabled
boolean

Filter by enabled status

Response

Successful Response

tool_name
string
required

Name of the tool

tool_type
string
required

Type of tool: 'built_in', 'mcp_server', 'external_tool'

id
string<uuid>
required

Unique identifier for the agent tool

agent_id
string<uuid>
required

ID of the agent this tool belongs to

created_at
string<date-time>
required

When the tool was configured

updated_at
string<date-time>
required

When the tool was last updated

configuration
Configuration · object | null

Tool-specific configuration settings

is_enabled
boolean
default:true

Whether the tool is enabled

mcp_server_id
string<uuid> | null

ID of the MCP server (if tool_type is 'mcp_server')

external_tool_connection_id
string<uuid> | null

ID of the external tool connection (if tool_type is 'external_tool')